var contact = null;
var messaging = null;

/*
 * CONTACT SERVICE
 */

function initContactService(){
	try {
		contact = nokia.device.load("contacts");
	}catch(e){
		alert(e.toString());
	}
}

function listContacts(){
    var key = "";
    try {
      contact.getContacts(getContactsCallBack, key, contact.SORT_ASCENDING, getContactsCallBackErr);
    } 
    catch (e) {
        alert("listContacts: " + e.toString());
    }
}



function getContactsCallBack(outPut){
    var entry = null;
    var contentChecked = "";
	var content = "";
    try {
        while ((entry = outPut.next()) != null) {
			if (entry.tel.mobile != null){
				if (tmpCallBackParams["callBackInviteContactList"][entry.id] != undefined && tmpCallBackParams["callBackInviteContactList"][entry.id] != "")
					contentChecked += showContact(entry);
				else
					content += showContact(entry);
			}
        }
    } 
    catch (e) {
        alert("getContactsCallBack: " + e.toString());
    }
	document.getElementById("pageContainer").innerHTML += contentChecked;
    document.getElementById("pageContainer").innerHTML += content;
}

function getContactsCallBackErr(err){
    	
	if(err.code == 101){ //data not found, no entries on given filter.
		//document.getElementById("pageContainer").innerHTML = "<table border='0' width='100%'><tr><th width='5'><input type='checkbox' name='chAll'/></th><th colspan='2'><ul class='button-rounded'><li><a href='#'>Delete selected</a></li></th></tr></table><p>No Contacts</p>";
	}else{
	    alert(err.toString());
	}
}

function getContact(id){
    var result = null;
    try {
        result = contact.getContactInfo(id);
    } 
    catch (e) {
        alert(e.toString());
    }
    return result;
}

/*
 * MESSAGE SERVICE
 */

function initMessageService(){
    try {
        messaging = nokia.device.load("messaging");
        //var transactionid = messaging.setNotifier(setNotifierCb, setNotifierCbErr);
    } 
    catch (e) {
        alert(e.toString());
    }
}

function sendSMS(p_numbers, p_msg){
    var message = new Object();
    //Setting the type of the message
    message.type = "SMS";
    if (p_numbers.length > 0) {
        message.to = p_numbers;
    }
    else {
        alert("Phone number is empty");
        return;
    }
    if (p_msg != null && p_msg != "") {
        message.body = p_msg;
    }
    else {
        alert("Text is empty");
        return;
    }
	try {
		messaging.send(sendCb, message, null, sendCbErr);
	}catch(e){
		alert("sendSMS:" + e.toString());
	}
}

function sendCb(){
	tmpCallBackParams["callBackInviteContactList"] = new Array();
	DisplayInviteFriend("sms");
}

function sendCbErr(err){
	alert(err.toString());
}