var Popup = {
	showContent: function(html){
		$(function(){
			if (html != "" && html != undefined){
				$("#popupPage_content").html(html);
				$("#popupPage").click(function(){
					Popup.hide();
				});
				$("#popupPage").removeClass("hidden");
			}
		});
	},
	
	showOneButtonAlert: function(html, onButton1, txtButton1){
		$(function(){
			var tmpHtml = "<center>";
			tmpHtml += html + "<br/><br/>";
			tmpHtml += "<a class='popupButton' href='#' onclick=\"" + onButton1 + "\">" + txtButton1 + "</a>";
			tmpHtml += "</center>";
			$("#popupPage_content").html(tmpHtml);
			$("#popupPage").click(function(){
				Popup.hide();
			});
			$("#popupPage").removeClass("hidden");
		});
	},
	
	showTwoButtonAlert: function(html, onButton1, onButton2, txtButton1, txtButton2){
		$(function(){
			var tmpHtml = "<center>";
			tmpHtml += html + "<br/><br/>";
			tmpHtml += "<a class='popupButton' href='#' onclick=\"" + onButton1 + "\">" + txtButton1 + "</a><br/>";
			tmpHtml += "<a class='popupButton' href='#' onclick=\"" + onButton2 + "\">" + txtButton2 + "</a>";
			tmpHtml += "</center>";
			$("#popupPage_content").html(tmpHtml);
			$("#popupPage").click(function(){
				Popup.hide();
			});
			$("#popupPage").removeClass("hidden");
		});
	},
	hide: function(){
		$("#popupPage_content").html("");
		$("#popupPage").addClass("hidden");
	},
	
	showDashboardOptions: function(html){
		$(function(){
			$("#dashboard_optionsMenu_content").html(html);
			$("#dashboard_optionMenu").removeClass("hidden");
			$("#dashboard_optionMenu").click(function(){
				Popup.hideDashboardOptions();
			});
		});
	},
	
	hideDashboardOptions: function(){
		$(function(){
			$("#dashboard_optionsMenu_content").html("");
			$("#dashboard_optionMenu").addClass("hidden");
		});
	}
};