;(function() { 
          
         /* time of first widget usage */ 
         var firstUsageTime = null; 
          
         /* time of previous widget usage */ 
         var previousUsageTime = null; 
          
         /* time of current widget usage */ 
         var currentUsageTime = null; 
          
         /* overall usages count */ 
         var usagesCount = null; 
          
         /* unique user ID */ 
         var uniqueUserId = null; 
          
         /* widget name */ 
         var widgetName = null; 
          
         /* Google Analytics account ID */ 
        var googleAnalyticsId = null; 
          
         GoogleAnalytics = function(_widgetName, _googleAnalyticsId) 
         { 
                 widgetName = _widgetName; 
  
                 googleAnalyticsId = _googleAnalyticsId; 
                  
                 initialize(); 
         } 
         GoogleAnalytics.prototype.trackEvent = function(category, action, label) 
         { 
                if(label == undefined || label == null) 
                 { 
                         label = ''; 
                 } 
                  
                 httpReq( 
                         getTrackURL(category, action, label),  
                         trackEventHandler 
                 ); 
         } 
          
        function saveData() 
         { 
                 var toSave = firstUsageTime + "|" +  
                         currentUsageTime + "|" +  
                         uniqueUserId + "|" +  
                         usagesCount; 
                          
                 widget.setPreferenceForKey(toSave, 'GoogleAnalytics_' + googleAnalyticsId); 
				          } 
         function initialize() 
         { 
                 var savedData = widget.preferenceForKey('GoogleAnalytics_' + googleAnalyticsId); 
  
                 var now = Math.floor(new Date().getTime() / 1000); 
          
                 currentUsageTime = now; 
                  
                 if(savedData) 
                 { 
                         var splitted = savedData.split('|'); 
                          
                         firstUsageTime = splitted[0]; 
                          
                         previousUsageTime = splitted[1]; 
                          
                         uniqueUserId = splitted[2]; 
                          
                         usagesCount = parseInt(splitted[3]) + 1; 
                 } 
                 else 
                 { 
                         firstUsageTime = now; 
                          
                         previousUsageTime = now; 
                          
                         uniqueUserId = Math.floor(Math.random() * 1000000000); 
                          
                         usagesCount = 1; 
                 } 
                 saveData(); 
         } 
         function trackEventHandler(req, success) 
         { 
  
        } 
         function getTrackURL(category, action, label) 
         { 
                 return "http://www.google-analytics.com/__utm.gif?" + 
                         "utmwv=4.6.5&" + 
                         "utmn=" + Math.floor(Math.random() * 100000000) + "&" + 
                         "utmhn=127.0.0.1&" + 
                         "utmt=event&" + 
                         "utme=5(" + encodeURIComponent(category) +  
                                 "*" + encodeURIComponent(action) +  
                                 "*" + encodeURIComponent(label) + ")&" + 
                         "utmcn=1&" + 
                         "utmdt=" + encodeURIComponent(widgetName) + "&" +  
                         "utmhid=" + Math.floor(Math.random() * 100000000) + "&" + 
                         "utmr=0&" + 
                         "utmp=%2Findex.html&" + 
                         "utmac=" + googleAnalyticsId + "&" +  
                         "utmcc=__utma%3D1." + uniqueUserId +  
                         "." + firstUsageTime +  
                         "." + previousUsageTime + "." + currentUsageTime +  
                         "." + usagesCount +  
                         "%3B%2B__utmz%3D1." + firstUsageTime +  
                         "." + usagesCount +  
                         ".1.utmcsr%3D(direct)|utmccn%3D(direct)|utmcmd%3D(none)%3B"; 
         } 
         function httpReq(url, func) 
         { 
                 try 
                 { 
                         netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead"); 
                 } 
                 catch(e) 
                 { 
                 } 
          
                 var request = new XMLHttpRequest(); 
                  
                 request.onreadystatechange = function() 
                 { 
                         if(request.readyState == 4) 
                         { 
                                 if(request.status == 200) 
                                         func(request, true); 
                                 else 
                                         func(request, false); 
                         } 
                 } 
                 request.open( "GET", url, true ); 
          
                 request.send(null); 
         } 
})(); 
